scala.util.parsing.json
class Lexer

[source: `scala/util/parsing/json/Lexer.scala`]

`` `class` Lexer
  `extends` StdLexical `with` ImplicitConversions

Author
  Derek Chen-Becker <"java"+@+"chen-becker"+"."+"org">

Value Summary
`val` | hexDigits : Set[Char]

Values and Variables inherited from StdLexical
reserved, delimiters

Method Summary
`def` | charSeq : Parser[java.lang.String]
`def` | checkKeyword (xs : List[Any]) : Product `with` Token
`def` | expPart : Parser[java.lang.String]
`def` | exponent : Parser[Char]
`def` | fracPart : Parser[java.lang.String]
`def` | hexDigit : Parser[Char]
`def` | intList : Parser[java.lang.String]
`def` | intPart : Parser[java.lang.String]
`def` | nonzero : Parser[Char]
`def` | number : Parser[java.lang.String]
`def` | sign : Parser[Char]
`def` | string : Parser[java.lang.String] A string is a collection of zero or more Unicode characters, wrapped in double quotes, using backslash escapes (cf. http://www.json.org/).
`override def` | token : Parser[Token] a parser that produces a token (from a stream of characters)
`override def` | whitespace : Parser[List[Char]] a parser for white-space -- its result will be discarded
`def` | zero : Parser[java.lang.String]

Methods inherited from ImplicitConversions
flatten2, flatten3, flatten4, flatten5, headOptionTailToFunList

Methods inherited from StdLexical
identBegin, identCont, comment, processIdent, delim

Methods inherited from Lexical
letter, digit, chrExcept, whitespaceChar

Methods inherited from Tokens
errorToken

Methods inherited from Parsers
commit, commit, not, elem, elem, accept, accept, accept, failure, fail, success, success, discard, log, log, rep, rep, repsep, rep1, rep1, repN, rep1, repN, rep1sep, rep1sep, chainl1, chainl1, chainr1, opt, opt, positioned, positioned

Methods inherited from AnyRef
getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Value Details

`` `val` hexDigits : Set[Char]

Method Details

`override` `def` token : Parser[Token]

  a parser that produces a token (from a stream of characters)

Overrides
  StdLexical.token

`` `def` checkKeyword(xs : List[Any]) : Product `with` Token

`` `def` string : Parser[java.lang.String]

  A string is a collection of zero or more Unicode characters, wrapped in double quotes, using backslash escapes (cf. http://www.json.org/).

`override` `def` whitespace : Parser[List[Char]]

  a parser for white-space -- its result will be discarded

Overrides
  StdLexical.whitespace

`` `def` number : Parser[java.lang.String]

`` `def` intPart : Parser[java.lang.String]

`` `def` intList : Parser[java.lang.String]

`` `def` fracPart : Parser[java.lang.String]

`` `def` expPart : Parser[java.lang.String]

`` `def` zero : Parser[java.lang.String]

`` `def` nonzero : Parser[Char]

`` `def` exponent : Parser[Char]

`` `def` sign : Parser[Char]

`` `def` charSeq : Parser[java.lang.String]

`` `def` hexDigit : Parser[Char]